part of library;


class BuildLabelWidget extends StatelessWidget {
  final FilterModel model;
  const BuildLabelWidget({
    Key? key,
    required this.model
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(left: 10.w),
      color: Colors.transparent,
      width: 65.w,
      padding: EdgeInsets.only(top: 10.w,bottom: 10.w),
      child: Container(
        // padding: EdgeInsets.all(8),
          alignment: Alignment.center,
          padding:  EdgeInsets.only(left: 8.w,right:8.w ),
          height: 23.w,
          decoration: BoxDecoration(
            borderRadius: BorderRadius.all(Radius.circular(12.5.w)),
            border:model.selected? Border.all(color:AppTheme.primary,width: 0.5.w,style: BorderStyle.solid):null,
            color: Colors.white,
            boxShadow: model.selected?[
              BoxShadow(
                color: AppTheme.primary.withOpacity(0.3),
                offset: Offset(0, 1.w),
                blurRadius: 2.w,
                spreadRadius: 0.w,
              ),
            ]:null,
          ),
          child: Text(model.name??'',style: TextStyle(fontSize: 13.w,height: 1.5,color: model.selected?AppTheme.primary:Colours.c9,fontWeight: model.selected?Fonts.boldSemi:Fonts.medium),)
      ),
    );
  }
}


